#!/usr/bin/env bash
echo "# Copypaste your answers into this file" > setup-alpine.answers
vi setup-alpine.answers
cat setup-alpine.answers
setup-alpine -f setup-alpine.answers
## /mnt/boot is device /dev/nvme0n1p1
reboot

apk add --update git docker docker-compose

# mount -t tmpfs cgroup_root /sys/fs/cgroup
# mkdir -p /sys/fs/cgroup/devices
# mount -t cgroup -o devices cgroup /sys/fs/cgroup/devices

echo "
cgroup_root  /sys/fs/cgroup  tmpfs  defaults  0  0
cgroup  /sys/fs/cgroup/devices  cgroup  defaults,devices  0  0
" >> /etc/fstab
mount /sys/fs/cgroup
mount /sys/fs/cgroup/devices

service docker start
rc-update add docker boot
setup-user -a -a -u -g audio,video,netdev,docker caes

